#include<iostream>
#include<cstdlib>
using namespace std;
int main()
{
	int n, i, j;
	double a[1000001], p[1000001], max=0, s=0;
	scanf("%d", &n);
	for(i=0; i<n; i++)
	{
		scanf("%lf %lf", &a[i], &p[i]);
		p[i]=p[i]/100;
	}
	for(j=0; j<n; j++)
	{
		for(i=0; i<n; i++)
		{
			if(i==0) s=0;
			if(p[i]>=p[j]) s+=a[i]*p[j];
			if(s>max) max=s;
		}
	}
	printf("%.2lf", max);
	return 0;
}